------------------------------------------------------------------------------------
--Name:  	Thanksgiving5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(44, 44)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062480, 40, 48, "Big Turkey Brother", 0, 0)
npc_0:SetDir(5)
local npc_1 = CppScriptMgr:AddSimplePlayer(1062490, 48, 40, "2nd Turkey Sister", 0, 0)
npc_1:SetDir(1)
local npc_2 = CppScriptMgr:AddSimplePlayer(1062491, 48, 44, "2nd Turkey Sister", 0, 0)
npc_2:SetDir(1)
npc_2:SetHide(1)
CppScriptMgr:WaitMilSec(690)
CppScriptMgr:NpcCallOut("Take this, sister!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "Big Turkey Brother", 250, 655)
npc_0:Say("Take this, sister!", 1000)
npc_1:SetAction(101)
npc_0:SetAction(401)
CppScriptMgr:WaitMilSec(570)
local effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 48, 40, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233_coat02", 48, 40, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(910)
npc_1:SetHide(1)
CppScriptMgr:WaitMilSec(1030)
local effect_2 = CppScriptMgr:AddEffect("zsjn_jqxp", 48, 44, 33, 1, 1, 1)
effect_2:Scale(3, 3, 3)
npc_2:SetHide(0)
local effect_4 = CppScriptMgr:AddEffect("newzf2-e280", 48, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(410)
CppScriptMgr:NpcCallOut("Haha, big brother, you were just hitting my clone!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJEJ", 150, 430, "2nd Turkey Sister", 250, 655)
npc_2:Say("Haha, big brother, you were just hitting my clone!", 1000)
npc_0:SetDir(6)
npc_2:SetAction(150)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(2140)
CppScriptMgr:SetDarkScreen(1000)
npc_0:SetHide(1)
npc_2:SetHide(1)
CppScriptMgr:WaitMilSec(700)
local effect_5 = CppScriptMgr:AddEffect("zf2-e233", 42, 45, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("zf2-e233", 46, 41, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(360)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetDir(7)
player_0:SetPos(46, 41)
local npc_3 = CppScriptMgr:AddSimplePlayer(1062530, 42, 45, "6th Turkey Brother", 0, 0)
npc_3:SetDir(6)
local actor_name_0 = player_0:GetName()
CppScriptMgr:WaitMilSec(610)
CppScriptMgr:NpcCallOut("Our 2nd sister is quite cautious. She always uses her clone charm smartly to fool others.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "6th Turkey Brother", 250, 655)
npc_3:Say("Our 2nd sister is quite cautious. She always uses her clone charm smartly to fool others.", 1000)
CppScriptMgr:WaitMilSec(1330)
CppScriptMgr:NpcCallOut("The furious 2nd sister`s clone charm has become even more perfect!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "6th Turkey Brother", 250, 655)
npc_3:Say("The furious 2nd sister`s clone charm has become even more perfect!", 1500)
CppScriptMgr:WaitMilSec(1140)
player_0:SetAction(190)
CppScriptMgr:WaitMilSec(250)
CppScriptMgr:NpcCallOut("Don`t worry, she won`t be able to escape from my sharp eyes.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
player_0:Say("Don`t worry, she won`t be able to escape from my sharp eyes.", 1000)
CppScriptMgr:WaitMilSec(1910)